package dev.shadowsoffire.apotheosis.adventure.boss;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.adventure.boss.MinibossRegistry;
import java.util.Set;
import java.util.function.Predicate;
import javax.annotation.Nullable;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.entity.EntityType;

public interface IEntityMatch {
  static <T extends IEntityMatch> Predicate<T> matches(EntityType<?> type) {
    return obj -> {
        Set<EntityType<?>> types = obj.getEntities();
        return (types == null || types.isEmpty() || types.contains(type));
      };
  }
  
  static <T extends IEntityMatch> Predicate<T> matches(Entity entity) {
    return matches(entity.m_6095_());
  }
  
  @Nullable
  Set<EntityType<?>> getEntities();
}
